//board_sz=[89.5, 1, 38];
//display_sz=[66.89, 45, 29.05];
hrana=2;
mink=0.5;
vsuvka_r=4;

board_sz=[89.5, 1, 38.5];
display_sz=[68.5, 45, 30.5];
predok_sz=[91+(hrana*2)+4+vsuvka_r, 20, 40+(hrana*2)];
zadok_sz=[predok_sz.x, 3, predok_sz.z];

predok_vysek_y=2;
vsuvka_h=predok_sz.y-predok_vysek_y;
display_posun_x=10+vsuvka_r; //6.5

tlacitko=[4,predok_vysek_y+2,4];
srob_r=vsuvka_r/3;
srob_h=2*(vsuvka_h/3);

model=2;

if(model==0) {
	minkowski() {
		difference() {predok(); tlacitka(mink);}
		sphere(mink);
	}
	difference() {
		vsuvky(vsuvka_r, vsuvka_h, mink); // vsuvky na sroby
		sroby(srob_r,srob_h,mink);
	}
}
if(model==1) {
	difference() {predok();tlacitka(0);}
	difference() {
		vsuvky(vsuvka_r,vsuvka_h,0);
		sroby(srob_r,srob_h,0);
	}
}
if(model==2) {
	minkowski() {
		difference() {
		zadok();
		translate([0,predok_sz.y,0]) sroby(srob_r,srob_h,mink);
		}
		sphere(mink);
	}
}

module lipo_500() {
	translate([0,0,30])
	rotate([90,90,0]) color("red") cube([30,40,4]);
}

module tlacitka(mnk) {
	xx=tlacitko.x+mnk+display_sz.x+(predok_sz.x-display_sz.x)/2;
	for(i=[1:3]) {
		zz=i*((predok_sz.z-(hrana*2)-(tlacitko.z*3))/3);
		translate([xx,-1,zz])
			cube([tlacitko.x,tlacitko.y,tlacitko.z]);
	}
}

module zadok() {
	translate([0,predok_sz.y+10,0])
	cube([zadok_sz.x, zadok_sz.y, zadok_sz.z]);
}

module sroby(r,h,mnk) {
	yy=predok_sz.y+mnk+1;
	n=vsuvka_r/r;
	sroby_xz=[[r*n,predok_sz.z-r*n],
		[predok_sz.x-r*n,predok_sz.z-r*n],
		[predok_sz.x-r*n,r*n],
		[r*n,r*n]];
	for(i=sroby_xz) {
		translate([i[0],yy,i[1]])
		rotate([90,0,0]) 
			cylinder(h+mnk+1,r,r,$fn=24);
	}
}

module vsuvky(r,h,mnk) {
	yy=predok_sz.y+mnk;
	sroby_xz=[[r,predok_sz.z-r],
		[predok_sz.x-r,predok_sz.z-r],
		[predok_sz.x-r,r],
		[r,r]];
	for(i=sroby_xz) {
		translate([i[0],yy,i[1]])
		rotate([90,0,0]) 
			cylinder(h,r,r,$fn=24);
	}
}

module predok_predny_vysek() {
	xx=hrana+display_posun_x;
	yy=-display_sz.y+(predok_vysek_y+1);
	zz=((board_sz.z-display_sz.z)/2)+hrana;
	translate([xx,yy,zz]) 
		cube([display_sz.x, display_sz.y, display_sz.z]);
}

module predok_zadny_vysek() {
	hr=hrana*2;
	xx=predok_sz.x-hr;
	//yy=predok_sz.y-hr;
	zz=predok_sz.z-hr;
	translate([hrana,predok_vysek_y,hrana])
			cube([xx, predok_sz.y, zz]);
}

module predok() {
	difference() {
		cube([predok_sz.x, predok_sz.y, predok_sz.z]);
		predok_predny_vysek();
		predok_zadny_vysek();
	}
}

module display_board() {
	difference(){
		translate([0,0,0]) cube([board_sz.x, board_sz.y, board_sz.z]);
		translate([display_posun_x, -1,(board_sz.z-display_sz.z)/2])
			cube([display_sz.x, display_sz.y, display_sz.z]);
	}
}

